/* 

   Openstep2GNU converter is used to convert Openstep makefiles to GNUstep
   makefiles called GNUmakefile files.

   Run the Openstep2GNU.exe executable in the top level directory to
   recursively convert all Openstep makefiles to GNUstep makefiles.

   To build the GNUmakefile after the conversion, make sure you check out
   the CCS modified GNUstep bundle.make from devman under COMMON/GNUSTEP and
   copied it into the GNUstep/Makefile directory where you have GNUstep installed.

*/

#include <stdio.h>
#import <Foundation/Foundation.h>
#import <Foundation/NSFileManager.h>
#import "MakeConverter.h"

void printHelp(const char *param);

/*
    main method for the Openstep2GNU converter
*/
void main (int argc, const char *argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

    // insert your code here
    if (argc > 1)
    {
        NSLog(@"argument = %@", [NSString stringWithCString:argv[1]]);

        if ( [[NSString stringWithCString:argv[1]] isEqualToString:@"-R"] )
        {
            printf("\nRunning Openstep2GNU in current directory recursively.\n\n");
            [MakeConverter convertCurrentDirectory:YES];
        }
        else
        {
            printHelp( *argv );
        }
    }
    else
    {
        // called the converter class without recursion
        printf("\nRunning Openstep2GNU in current directory nonrecursively.\n\n");
        [MakeConverter convertCurrentDirectory:NO];
    }

    [pool release];
    exit(0);       // insure the process exit status is 0
}

void printHelp(const char *param)
{
    printf("\nusage: %s [-options]\n", &param[0]);
    printf("	   -h	prints this message\n");
    printf("	   -R	recursively convert Openstep Makefiles to GNUmakefiles\n");
    printf("Without options, converts Openstep Makefiles to GNUstep makefiles in current directory\n\n");
    printf("Created by Comnetix Computer Systems Inc. 2000/04/24\n\n");
}
